generic_file_aio_read
Prev | More Memory Management Functions | Next

## Name

generic_file_aio_read — generic filesystem read routine

## Synopsis

`ssize_t generic_file_aio_read (` | struct kiocb * | iocb,
| const struct iovec * | iov,
| unsigned long | nr_segs,
| loff_t | pos`)`;

## Arguments

`iocb`

  kernel I/O control block

`iov`

  io vector request

`nr_segs`

  number of segments in the iovec

`pos`

  current file position

## Description

This is the “`read`” routine for all filesystems that can use the page cache directly.

Prev | Up | Next
grab_cache_page_nowait | Home | filemap_fault